# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('django_payzen', '0005_auto_20150625_1615'),
        ('clariweb', '0007_paymentrequest_pzresponse'),
    ]

    operations = [
        migrations.CreateModel(
            name='ClarilabPaymentResponse',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date', models.DateTimeField(auto_now=True)),
                ('reason', models.TextField()),
                ('success', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='PaymentResponse',
            fields=[
            ],
            options={
                'proxy': True,
            },
            bases=('django_payzen.paymentresponse',),
        ),
        migrations.AlterField(
            model_name='paymentrequest',
            name='pzresponse',
            field=models.ForeignKey(related_name='pzrequest', to='clariweb.PaymentResponse', null=True, on_delete=models.CASCADE),
        ),
        migrations.AddField(
            model_name='clarilabpaymentresponse',
            name='response',
            field=models.OneToOneField(to='django_payzen.PaymentResponse', on_delete=models.CASCADE),
        ),
    ]
