import clariweb.clariweb.models
import clariweb.clariweb.storage
from django.db import migrations, models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        ('clariweb', '0032_document_peruser_triggers'),
    ]

    operations = [
        migrations.AlterField(
            model_name='document',
            name='datafile',
            field=models.FileField(blank=True, db_index=True, null=True, storage=clariweb.clariweb.storage.OverwriteFileSystemStorage(location=settings.DOCUMENTS_ROOT), upload_to=clariweb.clariweb.models.get_document_upload_path),
        ),
    ]
