# -*- coding: utf-8 -*-

from __future__ import unicode_literals
from django.db import migrations
from django.contrib.postgres.operations import CreateExtension


class Migration(migrations.Migration):
    dependencies = [
        ('clariweb', '0016_clariweb_basicuser_upper_index'),
    ]

    operations = [
        CreateExtension("pg_trgm"),
        migrations.RunSQL(
            """
        CREATE INDEX ON clariweb_actor USING GIN (upper(i_unaccent(first_name::text)) gin_trgm_ops, upper(i_unaccent(last_name::text)) gin_trgm_ops);
        CREATE INDEX ON clariweb_document USING gin (upper(sil_demande_number::text) gin_trgm_ops);
            """
        ),

    ]
