import tempfile
import psycopg2

from clariweb.settings import *  # noqa


DOCUMENTS_ROOT = tempfile.mkdtemp()
TEST_MODE = True
CACHES = {
    "default": {
        "BACKEND": "django.core.cache.backends.locmem.LocMemCache",
        "LOCATION": "clariweb-test"
    }
}
CONSTANCE_BACKEND = 'constance.backends.database.DatabaseBackend'
CONSTANCE_DATABASE_CACHE_BACKEND = None
ORPHANED_APPS_MEDIABASE_DIRS = {}
LOGGING = {}
DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.postgresql',
        'NAME': 'clariweb-test',
        'OPTIONS': {
            'isolation_level': psycopg2.extensions.ISOLATION_LEVEL_SERIALIZABLE,
        },
    }
}
