from __future__ import unicode_literals

from django.apps import AppConfig
from django.db.models import CharField, TextField
from immutable_unaccent.lookups import IUnaccent


class ImmutableUnaccentConfig(AppConfig):
    name = 'immutable_unaccent'

    def ready(self):
        CharField.register_lookup(IUnaccent)
        TextField.register_lookup(IUnaccent)
